<h1 align="center">
    pyqt-feedback-flow
</h1>

<h2 align="center">
    Show feedback in toast-like notifications
</h2>

<p align="center">
    <a href="https://pypi.python.org/pypi/pyqt-feedback-flow">
        <img alt="PyPI Version" src="https://img.shields.io/pypi/v/pyqt-feedback-flow.svg" />
    </a>
    <img alt="PyPI - Python Version" src="https://img.shields.io/pypi/pyversions/pyqt-feedback-flow.svg" />
    <img alt="PyPI - Downloads" src="https://img.shields.io/pypi/dm/pyqt-feedback-flow.svg">
    <a href="https://src.fedoraproject.org/rpms/python-pyqt-feedback-flow">
        <img alt="Fedora package" src="https://img.shields.io/fedora/v/python3-pyqt-feedback-flow?color=blue&label=Fedora%20Linux&logo=fedora">
    </a>
    <a href="https://pepy.tech/project/pyqt-feedback-flow">
        <img alt="Downloads" src="https://pepy.tech/badge/pyqt-feedback-flow" />
    </a>
    <a href="https://repology.org/project/python:pyqt-feedback-flow/versions">
        <img alt="Packaging status" src="https://repology.org/badge/tiny-repos/python:pyqt-feedback-flow.svg" />
    </a>
    <a href="https://github.com/firefly-cpp/pyqt-feedback-flow/blob/master/LICENSE">
        <img alt="GitHub license" src="https://img.shields.io/github/license/firefly-cpp/pyqt-feedback-flow.svg" />
    </a>
    <a href="https://github.com/firefly-cpp/pyqt-feedback-flow/actions/workflows/python-app.yml">
        <img alt="GitHub Actions" src="https://github.com/firefly-cpp/pyqt-feedback-flow/actions/workflows/python-app.yml/badge.svg">
    </a>
</p>

<p align="center">
    <img alt="GitHub repo size" src="https://img.shields.io/github/repo-size/firefly-cpp/pyqt-feedback-flow" />
    <img alt="GitHub commit activity" src="https://img.shields.io/github/commit-activity/w/firefly-cpp/pyqt-feedback-flow.svg" />
    <a href='http://isitmaintained.com/project/firefly-cpp/pyqt-feedback-flow "Average time to resolve an issue"'>
        <img alt="Average time to resolve an issue" src="http://isitmaintained.com/badge/resolution/firefly-cpp/pyqt-feedback-flow.svg" />
    </a>
    <a href='http://isitmaintained.com/project/firefly-cpp/pyqt-feedback-flow "Percentage of issues still open"'>
        <img alt="Percentage of issues still open" src="http://isitmaintained.com/badge/open/firefly-cpp/pyqt-feedback-flow.svg" />
    </a>
    <img alt="GitHub contributors" src="https://img.shields.io/github/contributors/firefly-cpp/pyqt-feedback-flow.svg">
</p>

<p align="center">
    <a href="https://doi.org/10.5281/zenodo.10431480">
        <img alt=""DOI src="https://zenodo.org/badge/DOI/10.5281/zenodo.10431480.svg" />
    </a>
</p>

<p align="center">
    <a href="#-text-notification-example">📜 Text notification example</a> •
    <a href="#️-image-notification-example">🖼️ Image notification example</a> •
    <a href="#-installation">📦 Installation</a> •
    <a href="#-license">🔑 License</a>
</p>

On many occasions, notifications can be a valuable tool to inform a user about specific events. Sometimes, static notifications or pop-up windows may provide adequate feedback; however, there are some cases where flowing notifications can be more appropriate. ✨

This software allows us to show flowing notifications in the realm of a text or a picture. Both text and pictures (raster and vector) can be customized according to the user's wishes, which offers a wide variety of possibilities for providing flowing feedback. 💬🖼️

<p align="center">
    <img alt="Pyqt" src="https://user-images.githubusercontent.com/73126820/167383927-6fe17311-4e80-42fc-a0ef-1494b4c58762.png">
</p>

## 📜 Text notification example
https://user-images.githubusercontent.com/73126820/167379237-7c85467d-133e-42c9-91fd-7e85f2481267.mp4

## 🖼️ Image notification example
https://user-images.githubusercontent.com/73126820/167380818-814cc1ce-d137-4906-b5a4-84af94c46d4a.mp4

## 📦 Installation

### pip

Install this software with pip:

```sh
pip install pyqt-feedback-flow
```

### Alpine Linux

To install pyqt-feedback-flow on Alpine Linux, use:

```sh
$ apk add py3-pyqt-feedback-flow
```

### Arch Linux

To install pyqt-feedback-flow on Arch Linux, please use an [AUR helper](https://wiki.archlinux.org/title/AUR_helpers):

```sh
$ yay -Syyu python-pyqt-feedback-flow
```

### Fedora Linux

To install pyqt-feedback-flow on Fedora Linux, use:

```sh
$ dnf install python3-pyqt-feedback-flow
```

## 🔑 License

This package is distributed under the MIT License. This license can be found online at <http://www.opensource.org/licenses/MIT>.

## Disclaimer

This framework is provided as-is, and there are no guarantees that it fits your purposes or that it is bug-free. Use it at your own risk!
